import 'dart:convert';
import 'dart:io';

import 'package:http/http.dart' as http;

import '../models/archivo_model.dart';

class ArchivosProvider{
  final String _url = "smart.solerpalau.mx";

  Future<ArchivoModel> fetchAtenuador(String infoPDF) async{
    final url = Uri.https(_url, 'PR/api/pdfIOS/crearPdfAtenuadorIOS.php');
    final res = await http.post(url,
        body: {
          'infoPDF' : infoPDF
        }
    );
    print(res.body);
    final decodedData = jsonDecode(res.body);
    final archivo = ArchivoModel.fromJson(decodedData);
    return archivo;
  }
}